# -*- coding: iso-8859-1 -*-

from Components.MenuList import MenuList
from Components.Pixmap import Pixmap
from Tools.Directories import resolveFilename, SCOPE_PLUGINS
from os import path

try:
	from Plugins.SystemPlugins.SkinSelector.plugin import SkinSelector
	print "[PowerMetrixFHD] 029 -OK-- SkinSelector"
except:
	print "[PowerMetrixFHD] 029 -NOK- SkinSelector"

#######################################################################################################################################################

def SkinSelectorloadPreview(self):
	if self["SkinList"].getCurrent() == "Default Skin":
		pngpath = self.root + "/prev.png"
	else:
		pngpath = self.root + self["SkinList"].getCurrent() + "/prev.png"

	if not path.exists(pngpath):
		pngpath = resolveFilename(SCOPE_PLUGINS, "SystemPlugins/SkinSelector/noprev.png")

	if self.previewPath != pngpath:
		self.previewPath = pngpath

	self["Preview"].setDefaultAnimationEnabled(False)
	self["Preview"].instance.setPixmapFromFile(self.previewPath)

#######################################################################################################################################################

def doSkinSelectorChange():
	try:
		SkinSelector.loadPreview = SkinSelectorloadPreview
		print "[PowerMetrixFHD] 029 -OK-- SkinSelector"
	except:
		print "[PowerMetrixFHD] 029 -NOK- SkinSelector"
